Package org.opengis.cite.iso19142.simple

# Class ServiceMetadataTests

java.lang.Object
org.opengis.cite.iso19142.BaseFixture
org.opengis.cite.iso19142.simple.ServiceMetadataTests

public class ServiceMetadataTests extends BaseFixture
Contains tests regarding service metadata resources, especially the content of the WFS capabilities document. The capabilities document must be well-formed and schema-valid.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `(package private) static final String`
  `ROOT_PKG`
  `(package private) static final String`
  `SIMPLE_WFS_PHASE`

  ### Fields inherited from class org.opengis.cite.iso19142.BaseFixture

  `docBuilder, ETS_PKG, featureInfo, featureTypes, reqEntity, rspEntity, supportedBindings, TNS_PREFIX, wfsClient, wfsMetadata, wfsVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceMetadataTests()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `capabilitiesDocCorrespondsToWfsSimple()`
  Checks that the content of the WFS capabilities document reflects the `Simple WFS` conformance class.
  `void`
  `capabilitiesDocIsXmlSchemaValid()`
  Verifies that the WFS capabilities document is valid with respect to the official `wfs.xsd` schema.
  `void`
  `obtainWFSSchema(org.testng.ITestContext testContext)`
  Obtains the WFS 2.0 message schema from the test context.

  ### Methods inherited from class org.opengis.cite.iso19142.BaseFixture

  `addAttributesOnTestFailure, allProtocolsAndFeatureTypes, bindingAndAvailFeatureTypeProductSet, extractBodyAsDocument, getFeatureTypes, getInstantiatedFeatureTypes, getProtocolBindings, initBaseFixture, initParser, setWfsClient`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ROOT_PKG

    static final String ROOT_PKG
    See Also:
      - Constant Field Values

  - ### SIMPLE_WFS_PHASE

    static final String SIMPLE_WFS_PHASE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ServiceMetadataTests

    public ServiceMetadataTests()

- ## Method Details

  - ### obtainWFSSchema

    @BeforeClass(alwaysRun=true) public void obtainWFSSchema(org.testng.ITestContext testContext)
    Obtains the WFS 2.0 message schema from the test context.
    Parameters:
      `testContext` - The test (group) context.

  - ### capabilitiesDocIsXmlSchemaValid

    public void capabilitiesDocIsXmlSchemaValid()
    Verifies that the WFS capabilities document is valid with respect to the official `wfs.xsd` schema.
    See Also:
      - "ISO 19142:2010, cl. 8.3.2: GetCapabilities - Response"

  - ### capabilitiesDocCorrespondsToWfsSimple

    public void capabilitiesDocCorrespondsToWfsSimple()
    Checks that the content of the WFS capabilities document reflects the `Simple WFS` conformance class. The applicable rules are incorporated into the "SimpleWFSPhase" phase of the Schematron schema `wfs-capabilities-2.0.sch`.
    See Also:
      - "ISO 19142:2010, cl. A.1.1: Simple WFS"
      - "ISO 19142:2010, cl. A.2.23: Declaring conformance"